---
title: "Cancel a scan"
locale: en
url: https://tlg.builera.app/en/docs/reference/rest/scans.cancel
verified: 2026-10-24
app_version: "2.0"
generated: true
---

# Cancel a scan

Cancel a running group scan.

Cancel a running group scan.

## Overview

| Name | Value |
| --- | --- |
| Code | `scans.cancel` |
| Scope needed | `groups.scan` |
| Risk | Write |
| May need confirmation | No |
| Runs as | Answers right away |
| Needs `Idempotency-Key` | No |
| Member roles allowed | `owner`, `manager` |
| In the app | Discover → Groups → Scan |

## Input fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `scanId` | `uuid` | Yes |   |

## Example request

```bash
curl -X POST https://tlg.builera.app/api/public/v2/ops/scans.cancel \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"scanId":"00000000-0000-0000-0000-000000000000"}'
```

## Output fields (`data`)

| Field | Type | Required |
| --- | --- | --- |
| `ok` | `true` | Yes |

## Example answer

```json
{
  "data": {
    "ok": true
  }
}
```

## Using it over MCP

Not listed on any profile: call `tools_describe` then `tools_run` with `code: "scans.cancel"`. Tool name when listed: `scans_cancel`.
